# Copyright 2013-2022 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

# ----------------------------------------------------------------------------
# If you submit this package back to Spack as a pull request,
# please first remove this boilerplate and all FIXME comments.
#
# This is a template package file for Spack.  We've put "FIXME"
# next to all the things you'll want to change. Once you've handled
# them, you can save this file and test your package like this:
#
#     spack install py-hdmf
#
# You can edit this file again by typing:
#
#     spack edit py-hdmf
#
# See the Spack documentation for more information on packaging.
# ----------------------------------------------------------------------------

from spack.package import *


class PyHdmf(PythonPackage):
    """The Hierarchical Data Modeling Framework."""

    homepage = "https://github.com/hdmf-dev/hdmf"
    pypi = "hdmf/hdmf-3.4.6.tar.gz"

    maintainers = ["rly"]

    version("3.4.6", sha256="e2fe8a1139bd06787df61b2fac830e1a4359eef60a70d82567d3509609103ca3")

    depends_on("py-setuptools", type="build")

    depends_on("py-h5py@2.10:", type=("build", "run"))
    depends_on("py-jsonschema@2.6.0:", type=("build", "run"))
    depends_on("py-numpy@1.16:", type=("build", "run"))
    depends_on("py-pandas@1.0.5:", type=("build", "run"))
    depends_on("py-ruamel-yaml@0.16:", type=("build", "run"))
    depends_on("py-scipy@1.1:", type=("build", "run"))
